Name:     opus
Version:  1.3.1
Release:  3
Summary:  An audio codec for use in low-delay speech and audio communication
License:  BSD
URL:      https://www.opus-codec.org/

Source0:  https://archive.mozilla.org/pub/%{name}/%{name}-%{version}.tar.gz
Source1:  http://tools.ietf.org/rfc/rfc6716.txt 
Source2:  http://tools.ietf.org/rfc/rfc8251.txt

Recommends: %{name}-help = %{version}-%{release}
BuildRequires: gcc doxygen

%description
Opus is unmatched for interactive speech and music transmission over the
Internet, but is also intended for storage and streaming applications. It is
standardized by the Internet Engineering Task Force (IETF) as RFC 6716 which
incorporated technology from Skype’s SILK codec and Xiph.Org’s CELT codec.

%package  devel
Summary:  Development package for %{name} 
Requires: libogg-devel
Requires: %{name} = %{version}-%{release}

%description devel
Files for development with %{name}.

%package_help

%prep
%setup -q %{name}-%{version}
cp %{SOURCE1} .
cp %{SOURCE2} .

%build
%configure --enable-custom-modes --disable-static \
           --enable-hardening --enable-ambisonics

%install
make install DESTDIR=%{buildroot}

# Remove libtool archives and static libs
%delete_la

%check
make check

%ldconfig_scriptlets

%files
%license COPYING
%{_libdir}/libopus.so.*
%exclude %{_datadir}/doc/opus/html

%files devel
%{_includedir}/opus
%{_libdir}/libopus.so
%{_libdir}/pkgconfig/opus.pc

%files help
%doc README doc/html rfc6716.txt rfc8251.txt
%{_datadir}/aclocal/opus.m4
%{_datadir}/man/man3/opus_*.3.gz

%changelog
* Sun Feb 7 2021 xinghe <xinghe1@huawei.com> - 1.3.1-3
- rebuild package

* Thu Nov 12 2020 xinghe <xinghe1@huawei.com> - 1.3.1-2
- add help for Recommends

* Tue Sep 3 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3.1-1
- Package init
